National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2015-3238 Detail

Current Description

The _unix_run_helper_binary function in the pam_unix module in Linux-PAM (aka pam) before 1.2.1, when unable to directly access passwords, allows local users to enumerate usernames or cause a denial of service (hang) via a large password.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: 6.5 MEDIUM
Vector:  CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.fedoraproject.org/pipermail/package-announce/2015-July/161350.html
http://lists.fedoraproject.org/pipermail/package-announce/2015-June/161249.html
http://rhn.redhat.com/errata/RHSA-2015-1640.html Vendor Advisory
http://www.openwall.com/lists/oss-security/2015/06/25/13
http://www.oracle.com/technetwork/security-advisory/cpuapr2016v3-2985753.html
http://www.securityfocus.com/bid/75428
http://www.ubuntu.com/usn/USN-2935-1
http://www.ubuntu.com/usn/USN-2935-2
http://www.ubuntu.com/usn/USN-2935-3
https://bugzilla.redhat.com/show_bug.cgi?id=1228571
https://security.gentoo.org/glsa/201605-05
https://www.trustwave.com/Resources/Security-Advisories/Advisories/TWSL2015-011/?fid=6551 Exploit
https://www.trustwave.com/Resources/SpiderLabs-Blog/Username-Enumeration-against-OpenSSH-SELinux-with-CVE-2015-3238/ Exploit

Weakness Enumeration

CWE-ID CWE Name Source
CWE-200 Information Exposure NIST  

Known Affected Software Configurations Switch to CPE 2.3

Configuration 1 ( hide )
 cpe:/a:linux-pam:linux-pam
     Show Matching CPE(s)
Up to (including)
1.1.8

Configuration 2 ( hide )
 cpe:/a:oracle:sparc-opl_service_processor
     Show Matching CPE(s)
Up to (including)
1121


Change History

9 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2015-3238
NVD Published Date:
08/24/2015
NVD Last Modified:
01/03/2019